# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::CompletionEntry Class Reference

An item for the completion popup. More...

`#include <codecompletioninterface.h>`

Collaboration diagram for KTextEditor::CompletionEntry:

[legend]
List of all members.

## Public Member Functions

bool | operator== (const CompletionEntry &c) const

## Public Attributes

QString | type
QString | text
QString | prefix
QString | postfix
QString | comment
QString | userdata

## Detailed Description

An item for the completion popup.

`text` is the completed string, `prefix` appears in front of it, `suffix` appears after it. `type` does not appear in the completion list. `prefix`, `suffix`, and `type` are not part of the inserted text if a completion takes place. `comment` appears in a tooltip right of the completion list for the currently selected item. `userdata` can be free formed data, which the user of this interface can use in CodeCompletionInterface::filterInsertString().

Definition at line 42 of file codecompletioninterface.h.

The documentation for this class was generated from the following file:

- codecompletioninterface.h

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003